AGGETI(3NCARG)

NAME
AGGETI - Allows a user program to retrieve the integer equivalent of the real value of a single parameter.

SYNOPSIS
CALL AGGETI (TPGN,IUSR)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_aggeti (char *tpgn, int *iusr)

DESCRIPTION

TPGN
    (an input expression of type CHARACTER) is a parameter identifier, as described for AGGETP, above. If a group of more than one parameter is specified, only the first element of that group will be retrieved by the call.

IUSR
    (an output variable of type INTEGER) receives the integer equivalent of the real value of the parameter specified by TPGN.

C-BINDING DESCRIPTION
The C-binding argument description is the same as the FORTRAN argument description.

USAGE
This routine allows you to retrieve the current value of Autograph parameters. For a complete list of parameters available in this utility, see the autograph_params man page.

ACCESS
To use AGGETI or c_aggeti, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order. To get smoother curves, drawn using spline interpolation, also load libdashsmth.o. Or, you can use the ncargf77 command to compile your program and load the above libraries, then, to get smoother curves, use the -dashsmth option.

SEE ALSO
Online: autograph, autograph_params, agback, agbnch, agchax, agchcu, agchil, agchnl, agcurv, agdshn, aggetc, aggetf, aggetp, aggetr, agpwrt, agrstr, agsave, agsetc, agsetf, agseti, agsetp, agsetr, agstup, agutol, anotat, displa, ezmxy, ezmy, ezxy, ezy

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.